/**
 * @file
 * Contain code for animation scroll with anchors.
 */

(function ($, Drupal) {
  Drupal.behaviors.estoreAnchorScroll = {
    attach: (context) => {
      const speed = 500;
      let navbarHeight = $('header.navbar-fixed-top', context).height();

      if (typeof navbarHeight !== 'undefined') {
        navbarHeight += 40;
      } else {
        navbarHeight = 0;
      }

      const hrefSelect =
        'a[href*=\\#]:not([href=\\#]):not([data-toggle=tab]):not([data-slide])';

      $(hrefSelect, context).on('click', function () {
        if (
          window.location.pathname.replace(/^\//, '') ===
            this.pathname.replace(/^\//, '') &&
          window.location.hostname === this.hostname
        ) {
          let target = $(this.hash);
          target = target.length ? target : $(`[name=${this.hash.slice(1)}]`);

          if (target.length) {
            /* eslint-disable-next-line  no-jquery/no-animate */
            $('html,body', context).animate(
              {
                scrollTop: target.offset().top - navbarHeight,
              },
              speed,
            );
          }
        }
      });

      // Executed on page load with URL containing an anchor tag.
      if ($(window.location.href.split('#')[1])) {
        const hash = window.location.href.split('#')[1];
        const target = $(`#${hash}`);
        const $reviewsTab = $('a[href="#reviews"]', context);

        if (target.length) {
          // Display Reviews tab for comment anchors.
          if (hash.indexOf('comment') !== -1 && $reviewsTab.length !== 0) {
            $reviewsTab.tab('show');
          }

          /* eslint-disable-next-line  no-jquery/no-animate */
          $('html,body', context).animate(
            {
              scrollTop: target.offset().top - navbarHeight,
            },
            speed,
          );

          return false;
        }
      }
    },
  };
})(jQuery, Drupal);
