/**
 * @file
 * Contain code for header elements
 */

(function ($, Drupal) {
  // Configure header Category block.
  Drupal.behaviors.estoreHeaderCategoryMenu = {
    attach: (context) => {
      const $categoryMenu = $('header.navbar .category-menu', context);

      $('.block-title', $categoryMenu).on('click', function () {
        $('ul.menu', $categoryMenu).slideToggle('slow');
        $(this).toggleClass('active');

        return false;
      });
    },
  };

  // Configure main menu for mobile screen.
  Drupal.behaviors.estoreHeaderMainMenu = {
    attach: (context) => {
      const $mainMenuWrapp = $('nav.main-menu', context);
      const $toggleEl = $('.toggle', $mainMenuWrapp);
      const $mainMenu = $('ul.menu', $mainMenuWrapp);

      $toggleEl.on('click', function () {
        $mainMenu.slideToggle('slow');

        return false;
      });
    },
  };
})(jQuery, Drupal);
